Name:          libffado
Version:       2.4.9
Release:       1mamba
Summary:       Free Firewire Audio Drivers Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ffado.org/
Source0:       http://www.ffado.org/files/libffado-%{version}.tgz
Source1:       README.ffado
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libconfig-devel
BuildRequires: libdbus-c++-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libicu-devel
BuildRequires: libiec61883-devel
BuildRequires: libpython311-devel
BuildRequires: libraw1394-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml++3-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: python3 >= 3.11
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libalsa-devel
BuildRequires: scons
BuildRequires: subversion
Requires:      ffado = %{?epoch:%epoch:}%{version}-%{release}

%description
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.
This package contains static libraries and header files needed for development.

%package -n ffado
Group:         Development/Libraries
Summary:       Applications and utilities for use with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      dbus
Requires:      python-dbus-py3
Requires:      PyQt5

%description -n ffado
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.
This package contains applications and utilities for use with %{name}.

%package -n ffado-mixer
Group:         Graphical Desktop/Applications/Multimedia
Summary:       ffado mixer GUI
Requires:      ffado = %{?epoch:%epoch:}%{version}-%{release}
Requires:      dbus
Requires:      python-dbus-py3
Requires:      PyQt5

%description -n ffado-mixer
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.
This package contains the ffado mixer GUI.

%debug_package

%prep
%setup -q

cp -a %{SOURCE1} .

## fix icon name, so it's coherent with XDG desktop file name
#sed -e 's/hi64-apps-ffado/ffado-mixer/g' -i support/xdg/ffado.org-ffadomixer.desktop
## fix id, so it's coherent with XDG desktop file name
#sed -e 's/ffado.org-ffadomixer.desktop/ffado-mixer.desktop/g' -i libffado/support/xdg/ffado-mixer.appdata.xml

%build
export CFLAGS="%{optflags} -ffast-math"
export CXXFLAGS="%{optflags} -ffast-math --std=gnu++11"

scons %{?_smp_mflags} \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
	UDEVDIR=%{_udevrulesdir} \
    ENABLE_SETBUFFERSIZE_API_VER=True \
    ENABLE_OPTIMIZATIONS=True \
    CUSTOM_ENV=True \
    BUILD_DOC=user \
	PYTHON_INTERPRETER=%{__python3} \
    BUILD_TESTS=0

#    PYUIC4=%{_bindir}/pyuic4 \
#    COMPILE_FLAGS="%{optflags} -ffast-math -lpthread" \

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
scons DESTDIR=%{buildroot} WILL_DEAL_WITH_XDG_MYSELF=True install

#mkdir -p %{buildroot}%{_datadir}/applications
#install -pm 644 support/xdg/ffado.org-ffadomixer.desktop \
#   %{buildroot}%{_datadir}/applications/ffado-mixer.desktop
#install -D -m0644 support/xdg/hi64-apps-ffado.png \
#   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/ffado-mixer.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n ffado
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n ffado
if [ $1 -eq 0 ] ; then
     touch --no-create %{_datadir}/icons/hicolor &>/dev/null
     gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
:

%posttrans -n ffado
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/libffado.so.*
%dir %{_datadir}/libffado
%{_datadir}/libffado/configuration
%doc AUTHORS LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libffado
%{_includedir}/libffado/ffado.h
%{_libdir}/libffado/static_info.txt
%{_libdir}/libffado.so
%{_libdir}/pkgconfig/libffado.pc

%files -n ffado
%defattr(-,root,root)
%{_udevrulesdir}/60-ffado.rules
%{_bindir}/ffado-bridgeco-downloader
%{_bindir}/ffado-dbus-server
%{_bindir}/ffado-diag
%{_bindir}/ffado-dice-firmware
%{_bindir}/ffado-fireworks-downloader
%{_bindir}/ffado-set-nickname
%{_datadir}/libffado/*.xml
%{_datadir}/dbus-1/services/org.ffado.Control.service
%dir %{python3_sitelib}/ffado
%{python3_sitelib}/ffado/*.py*
%{python3_sitelib}/ffado/*.ui
%dir %{python3_sitelib}/ffado/mixer
%{python3_sitelib}/ffado/mixer/*.py*
%{python3_sitelib}/ffado/mixer/*.ui
%dir %{python3_sitelib}/ffado/widgets
%{python3_sitelib}/ffado/widgets/*.py*
%{_datadir}/libffado/icons/hi64-apps-ffado.png
%{_mandir}/man1/ffado-*.1*

%files -n ffado-mixer
%defattr(-,root,root)
%{_bindir}/ffado-mixer
%{_datadir}/applications/org.ffado.FfadoMixer.desktop
%{_datadir}/metainfo/org.ffado.FfadoMixer.metainfo.xml
%{_datadir}/icons/hicolor/64x64/apps/hi64-apps-ffado.png

%changelog
* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 2.4.9-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 2.4.8-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.7-2mamba
- rebuilt with python3 == 3.11

* Mon Nov 28 2022 Automatic Build System <autodist@mambasoft.it> 2.4.7-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic version update by autodist

* Fri Jun 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.5-2mamba
- package ffado-mixer apart and fix desktop entry and icon

* Sun Feb 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.5-1mamba
- update to 2.4.5

* Fri Mar 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-3mamba
- rebuilt against legact libxml++3

* Tue Mar 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-2mamba
- rebuilt by autoport with build requirements: libxml++-devel>=5.0.0-1mamba

* Wed Dec 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1mamba
- update to 2.4.4

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- python 2.7 mass rebuild

* Fri Oct 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-3mamba
- rebuild (added gcc 4.7 patch)

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- imported from milestone1-contrib to devel

* Sat Oct 02 2010 gil <puntogil@libero.it> 2.0.1-1mamba
- package created by autospec
